summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2020-08-15 12:33:51 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2020-08-15 12:33:51 +0000
commit76de6ad8fcfa3a9741890f29d9f0809f9154a61c (patch)
tree7dcdc3b47c4004ab8bd6c0966f6f6fec2fe67154
parentUpdating. (diff)
downloadpackages-76de6ad8fcfa3a9741890f29d9f0809f9154a61c.tar.xz
packages-76de6ad8fcfa3a9741890f29d9f0809f9154a61c.zip
Updating.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
-rwxr-xr-xBFH-check-missing-builds.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/BFH-check-missing-builds.sh b/BFH-check-missing-builds.sh
new file mode 100755
index 0000000..8103013
--- /dev/null
+++ b/BFH-check-missing-builds.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+echo -n "User: "
+read USER
+echo -n "Password: "
+read -s PASSWORD
+
+DISTRIBUTION="buster"
+DISTRIBUTION="buster-backports"
+
+PACKAGES="$(wget -q https://${USER}:${PASSWORD}@git.bfh.science/packages/${DISTRIBUTION}/ -O - | grep "sublevel-repo'><a title=" | sed -e "s|^.*<a title='||g" -e "s|'.*$||")"
+
+echo
+echo "Present in git, missing debs:"
+
+for PACKAGE in ${PACKAGES}
+do
+ if ! wget -q https://apt.bfh.science/archive/${DISTRIBUTION}/${PACKAGE}/current_amd64 -O /dev/null 2>&1 && \
+ ! wget -q https://apt.bfh.science/archive/${DISTRIBUTION}/${PACKAGE}/current_all -O /dev/null 2>&1
+ then
+ echo " ${PACKAGE}"
+ fi
+done